ランタイム: Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Attributes | List of all members
Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET Struct Reference

デバッグ : カメラ : ウィジェットプロファイル構造体 More...

`#include <Common.h>`

Collaboration diagram for Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET:
[legend]

## Classes

struct | DEBUG_PROFILE_LEAVING_PARTICLE
| デバッグ : リービングパーティクルプロファイル構造体 More...
struct | DEBUG_PROFILE_PLANTER
| デバッグ : プランタープロファイル構造体 More...
struct | DEBUG_PROFILE_SCATTER_PARTICLE
| デバッグ : スキャッターパーティクルプロファイル構造体 More...

## Public Attributes

struct Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::DEBUG_PROFILE_LEAVING_PARTICLE | lp
| リービングパーティクルプロファイル More...
struct Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::DEBUG_PROFILE_SCATTER_PARTICLE | sp
| スキャッターパーティクルプロファイル More...
struct Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::DEBUG_PROFILE_PLANTER | pl
| プランタープロファイル More...
UInt32 | subsetCount
| サブセットの数 More...
UInt32 | quadCount
| クワッドの数 More...
UInt32 | objCount
| サブセット、もしくわクワッドから生成された半透明オブジェクトの数 More...
UInt32 | comCount
| 半透明オブジェクトを元に生成されたコマンドの数 More...
Float32 | slElapsedTime
| ローカルライティングを行うウィジェットのソートにかかった時間( 秒単位 ) More...
Float32 | alElapsedTime
| ローカルライティングにかかった時間( 秒単位 ) More...
Float32 | goElapsedTime
| サブセットから半透明オブジェクトの生成にかかった時間( 秒単位 ) More...

## Detailed Description

デバッグ : カメラ : ウィジェットプロファイル構造体

## Member Data Documentation

struct Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::DEBUG_PROFILE_LEAVING_PARTICLE Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::lp

リービングパーティクルプロファイル

struct Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::DEBUG_PROFILE_SCATTER_PARTICLE Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::sp

スキャッターパーティクルプロファイル

struct Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::DEBUG_PROFILE_PLANTER Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::pl

プランタープロファイル

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::subsetCount

サブセットの数

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::quadCount

クワッドの数

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::objCount

サブセット、もしくわクワッドから生成された半透明オブジェクトの数

UInt32 Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::comCount

半透明オブジェクトを元に生成されたコマンドの数

Float32 Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::slElapsedTime

ローカルライティングを行うウィジェットのソートにかかった時間( 秒単位 )

Float32 Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::alElapsedTime

ローカルライティングにかかった時間( 秒単位 )

Float32 Mix::Scene::DEBUG_PROFILE_CAMERA_WIDGET::goElapsedTime

サブセットから半透明オブジェクトの生成にかかった時間( 秒単位 )

The documentation for this struct was generated from the following file:

- Mix/Common.h